## EDU.oswego.cs.dl.util.concurrent
Class ThreadFactoryUser.DefaultThreadFactory

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser.DefaultThreadFactory

All Implemented Interfaces:
  ThreadFactory

Enclosing class:
  ThreadFactoryUser

    protected static class ThreadFactoryUser.DefaultThreadFactory

extends java.lang.Object
implements ThreadFactory

Constructor Summary
`protected` `ThreadFactoryUser.DefaultThreadFactory()`

Method Summary
`java.lang.Thread` `newThread(java.lang.Runnable command)` Create a new thread that will run the given command when started

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadFactoryUser.DefaultThreadFactory

    protected ThreadFactoryUser.DefaultThreadFactory()

Method Detail

### newThread

    public java.lang.Thread newThread(java.lang.Runnable command)

  Description copied from interface: `ThreadFactory`
  Create a new thread that will run the given command when started

  Specified by:
    `newThread` in interface `ThreadFactory`